CREATE TABLE IF NOT EXISTS book (
  bk_id       INTEGER NOT NULL PRIMARY KEY,
  bk_type     integer(2) NOT NULL,
  bk_lang     varchar(5) NOT NULL,
  bk_tolang   varchar(5) DEFAULT 'cn',
  bk_name     varchar(255) NOT NULL,
  cover_url   varchar(255),
  word_num    integer(10) NOT NULL,
  unit_num    integer(10) NOT NULL,
  user_num    integer(10) NOT NULL,
  description varchar(1000),
  is_best     integer(1) DEFAULT 0,
  support_word_radio integer(1) DEFAULT 0,
  flag        integer(10),
  created_at  timestamp,
  updated_at  timestamp,
  def_phonetic_type integer(10),
  published_unit_count  integer(10),
  plan_unit_word_count  integer(10),
  support_multi_phonetics integer(2) DEFAULT 0);

CREATE TABLE IF NOT EXISTS book_unit (
  _id           INTEGER PRIMARY KEY AUTOINCREMENT,
  bk_id         integer(10) NOT NULL,
  unit_id       integer(10) NOT NULL,
  unit_group    integer(10),
  unit_index    integer(10),
  unit_name     varchar(255),
  unit_word_num integer(10));

CREATE TABLE IF NOT EXISTS book_word (
  _id                  INTEGER PRIMARY KEY,
  bk_id                integer(10) NOT NULL,
  unit_id              integer(10) NOT NULL,
  word_id              integer(10) NOT NULL,
  yuliaoku_word_id     integer(10) DEFAULT 0,
  word                 varchar(100) NOT NULL,
  word_def             varchar(255),
  word_audio           varchar(500),
  word_phonetic        varchar(100),
  word_tone            varchar(20),
  word_pic             varchar(500),
  mnemonic_desc        varchar(200),
  mnemonic_suffix      varchar(200),
  mnemonic_etyma       varchar(1000),
  mnemonic_prefix      varchar(200),
  sentence_id          integer(10),
  sentence             varchar(200),
  sentence_def         varchar(1000),
  sentence_audio       varchar(255),
  sentence_mixed_items varchar(2000));

CREATE TABLE IF NOT EXISTS book_resource (
  _id                 INTEGER PRIMARY KEY AUTOINCREMENT,
  bk_id               integer(10) NOT NULL,
  dwn_id              integer(10) NOT NULL,
  res_type            integer(1) NOT NULL,
  zip_size            integer(10) NOT NULL,
  zip_version         integer(10) NOT NULL,
  zip_new_version     integer(10),
  zip_md5             varchar(50),
  zip_new_md5         varchar(50),
  unzip_size          integer(10) NOT NULL,
  url                 varchar(500),
  download_status     integer(5) DEFAULT 0,
  store_path          varchar(500),
  update_remark       varchar(200),
  in_adnf             integer(2) DEFAULT 0,
  version_is_3p       integer(2) DEFAULT 0,
  new_version_is_3p   integer(2) DEFAULT 0,
  invalid             integer(2) DEFAULT 0);

CREATE TABLE IF NOT EXISTS book_custom_map (
  _id                 INTEGER PRIMARY KEY AUTOINCREMENT,
  bk_id               integer(10) NOT NULL,
  pic_type            integer(2) NOT NULL,
  pic_index           integer(10) NOT NULL,
  status              integer(2) DEFAULT 0,
  url                 varchar(500) NOT NULL);

CREATE INDEX idx_book_unit_1 on book_unit(bk_id,unit_id);
CREATE INDEX idx_book_unit_2 on book_unit(unit_index);

CREATE INDEX idx_book_word_1 on book_word(bk_id,unit_id);
CREATE INDEX idx_book_word_2 on book_word(word_id);
CREATE INDEX idx_book_word_3 on book_word(word_phonetic);

CREATE INDEX idx_book_resource_1 on book_resource(bk_id,res_type);

CREATE INDEX idx_book_custom_map_1 on book_custom_map(bk_id);