--5.7.0
CREATE TABLE book_word (
  word_item_id    INTEGER NOT NULL PRIMARY KEY,
  ylk_word_id     integer(10) NOT NULL,
  unit_id         integer(10) NOT NULL,
  word            varchar(100) NOT NULL,
  word_id         varchar(100) NOT NULL,
  word_def        varchar(255),
  lang            varchar(2),
  to_lang         varchar(2),
  word_phonetic   varchar(100),
  word_tone       varchar(20),
  word_romaji     varchar(100),
  word_audio      varchar(500),
  word_pic        varchar(500),
  mnemonic_desc   integer(10),
  mnemonic_suffix integer(10),
  mnemonic_etyma  integer(10),
  mnemonic_prefix integer(10));

CREATE TABLE book_word_def (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id  integer(10) NOT NULL,
  POS          varchar(255),
  word_def     text,
  word_origin  text);

CREATE TABLE book_word_sentence (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id  integer(10),
  word_sent_id integer(10),
  sentence     text,
  trans        text,
  audio varchar(255));

CREATE TABLE book_word_syn_ant (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  type        smallint(5),
  word        varchar(255),
  POS         varchar(255));

CREATE TABLE book_word_collocation (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id  integer(10),
  collo       varchar(255),
  collo_def   text,
  POS         varchar(255));

CREATE TABLE book_word_voice (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  type        integer(10),
  url         varchar(255),
  key        varchar(255));

CREATE TABLE book_word_question (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id integer(10),
  type        integer(10),
  remark      text,
  subject     text,
  answer      text,
  mixed_items text,
  status      tinyint(3));

CREATE TABLE book_word_phonetic_sound (
    _id          INTEGER NOT NULL PRIMARY KEY,
    word_item_id integer(10) NOT NULL,
    phonetic_type        smallint(5) DEFAULT 0,
    phonetic      varchar(255),
    audio_url     varchar(500),
    is_default    boolean DEFAULT '0',
    word_tone       varchar(20),
    word_romaji     varchar(100));



-- ======================== 单词电台 start

-- 单词
CREATE TABLE IF NOT EXISTS fm_word(
    _id             INTEGER PRIMARY KEY AUTOINCREMENT,
    word_item_id    INTEGER NOT NULL,
    unit_id         integer(10) NOT NULL,
    word            varchar(100) NOT NULL,
    word_id         varchar(100) NOT NULL,
    audio_key       varchar(100),
    word_audio      varchar(500)
);

-- 释义
CREATE TABLE IF NOT EXISTS fm_word_def(
    _id          INTEGER PRIMARY KEY AUTOINCREMENT,
    word_item_id integer(10) NOT NULL,
    word_def_id  integer(10) NOT NULL,
    POS          varchar(255),
    word_def     text
);

-- 例句
CREATE TABLE IF NOT EXISTS fm_word_sentence(
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_sent_id integer(10),
  word_def_id  integer(10),
  audio_url    text,
  sentence     text,
  trans        text
);

-- ======================== 单词电台 /end

CREATE INDEX idx_book_word_1 on book_word(ylk_word_id);
CREATE INDEX idx_book_word_2 on book_word(unit_id);

CREATE INDEX idx_book_word_def_1 on book_word_def(word_item_id, word_def_id);

CREATE INDEX idx_book_word_sentence_1 on book_word_sentence(word_item_id, word_def_id);

CREATE INDEX idx_book_word_syn_ant_1 on book_word_syn_ant(word_item_id, pos);

CREATE INDEX idx_book_word_collocation_1 on book_word_collocation(word_item_id, word_def_id);

CREATE INDEX idx_book_word_voice_1 on book_word_voice(word_item_id, type);

CREATE INDEX idx_book_word_question_1 on book_word_question(word_item_id, type, status);
CREATE INDEX idx_book_word_question_2 on book_word_question(word_def_id);
CREATE INDEX idx_book_word_phonetic_sound_1 on book_word_phonetic_sound(word_item_id);