--version 6.0.3

BEGIN TRANSACTION;

--book_word_def
CREATE TEMPORARY TABLE book_word_def_tmp(word_item_id, word_def_id, POS, word_def);

INSERT INTO book_word_def_tmp(word_item_id, word_def_id, POS, word_def)
SELECT A.word_item_id, B.word_def_id, B.POS, B.word_def FROM book_word A, book_word_def B
WHERE A.ylk_word_id = B.ylk_word_id;

DROP TABLE book_word_def;

CREATE TABLE book_word_def (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id  integer(10) NOT NULL,
  POS          varchar(10),
  word_def    text);

INSERT INTO book_word_def(word_item_id, word_def_id, POS, word_def)
SELECT word_item_id, word_def_id, POS, word_def FROM book_word_def_tmp;

DROP TABLE book_word_def_tmp;
--book_word_def END


--book_word_sentence
CREATE TEMPORARY TABLE book_word_sentence_tmp(word_item_id,word_def_id,word_sent_id,sentence,trans,audio);

INSERT INTO book_word_sentence_tmp(word_item_id,word_def_id,word_sent_id,sentence,trans,audio)
SELECT A.word_item_id, B.word_def_id, B.word_sent_id, B.sentence, B.trans, B.audio FROM book_word A, book_word_sentence B
WHERE A.ylk_word_id = B.ylk_word_id;

DROP TABLE book_word_sentence;

CREATE TABLE book_word_sentence (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id  integer(10),
  word_sent_id integer(10),
  sentence     text,
  trans        text,
  audio varchar(255));

INSERT INTO book_word_sentence(word_item_id,word_def_id,word_sent_id,sentence,trans,audio)
SELECT word_item_id,word_def_id,word_sent_id,sentence,trans,audio FROM book_word_sentence_tmp;

DROP TABLE book_word_sentence_tmp;
--book_word_sentence END

--book_word_syn_ant
CREATE TEMPORARY TABLE book_word_syn_ant_tmp(word_item_id,type,word,POS);

INSERT INTO book_word_syn_ant_tmp
SELECT A.word_item_id, B.type, B.word, B.POS FROM book_word A, book_word_syn_ant B
WHERE A.ylk_word_id = B.ylk_word_id;

DROP TABLE book_word_syn_ant;

CREATE TABLE book_word_syn_ant (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  type        smallint(5),
  word        varchar(255),
  POS         varchar(10));

INSERT INTO book_word_syn_ant(word_item_id,type,word,POS)
SELECT word_item_id,type,word,POS FROM book_word_syn_ant_tmp;

DROP TABLE book_word_syn_ant_tmp;
--book_word_syn_ant END

--book_word_collocation
CREATE TEMPORARY TABLE book_word_collocation_tmp(word_item_id,word_def_id,collo,collo_def,POS);

INSERT INTO book_word_collocation_tmp
SELECT A.word_item_id, B.word_def_id, B.collo, B.collo_def, B.POS FROM book_word A, book_word_collocation B
WHERE A.ylk_word_id = B.ylk_word_id;

DROP TABLE book_word_collocation;

CREATE TABLE book_word_collocation (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id  integer(10),
  collo       varchar(255),
  collo_def   text,
  POS         varchar(10));

INSERT INTO book_word_collocation(word_item_id,word_def_id,collo,collo_def,POS)
SELECT word_item_id,word_def_id,collo,collo_def,POS FROM book_word_collocation_tmp;

DROP TABLE book_word_collocation_tmp;
--book_word_collocation END

--book_word_voice
CREATE TEMPORARY TABLE book_word_voice_tmp(word_item_id,type,url,key);

INSERT INTO book_word_voice_tmp
SELECT A.word_item_id, B.type, B.url, B.key FROM book_word A, book_word_voice B
WHERE A.ylk_word_id = B.ylk_word_id;

DROP TABLE book_word_voice;

CREATE TABLE book_word_voice (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  type        integer(10),
  url         varchar(255),
  key        varchar(255));

INSERT INTO book_word_voice(word_item_id,type,url,key)
SELECT word_item_id,type,url,key FROM book_word_voice_tmp;

DROP TABLE book_word_voice_tmp;
--book_word_voice END

--book_word_question
CREATE TEMPORARY TABLE book_word_question_tmp(word_item_id,word_def_id,type,remark,subject,answer,mixed_items,status);

INSERT INTO book_word_question_tmp
SELECT A.word_item_id, B.word_def_id, B.type, B.remark, B.subject, B.answer, B.mixed_items, B.status FROM book_word A, book_word_question B
WHERE A.ylk_word_id = B.ylk_word_id;

DROP TABLE book_word_question;

CREATE TABLE book_word_question (
  _id          INTEGER NOT NULL PRIMARY KEY,
  word_item_id integer(10) NOT NULL,
  word_def_id integer(10),
  type        integer(10),
  remark      text,
  subject     text,
  answer      text,
  mixed_items text,
  status      tinyint(3));

INSERT INTO book_word_question(word_item_id,word_def_id,type,remark,subject,answer,mixed_items,status)
SELECT word_item_id,word_def_id,type,remark,subject,answer,mixed_items,status FROM book_word_question_tmp;

DROP TABLE book_word_question_tmp;
--book_word_question END

--index
CREATE INDEX idx_book_word_def_1 on book_word_def(word_item_id, word_def_id);

CREATE INDEX idx_book_word_sentence_1 on book_word_sentence(word_item_id, word_def_id);

CREATE INDEX idx_book_word_syn_ant_1 on book_word_syn_ant(word_item_id, pos);

CREATE INDEX idx_book_word_collocation_1 on book_word_collocation(word_item_id, word_def_id);

CREATE INDEX idx_book_word_voice_1 on book_word_voice(word_item_id, type);

CREATE INDEX idx_book_word_question_1 on book_word_question(word_item_id, type, status);
CREATE INDEX idx_book_word_question_2 on book_word_question(word_def_id);

COMMIT;