-- 6.4.0
-- 实现最新的复习策略(SuperMemo); 每个用户每本词书的复习单独一个库

-- 复习单词表
CREATE TABLE IF NOT EXISTS review_word(
    word_item_id        INTEGER(10) NOT NULL PRIMARY KEY,
    bk_id               INTEGER(10) NOT NULL,
    unit_id             INTEGER(10) NOT NULL,
    corpora_id          INTEGER(10) NOT NULL,
    review_times        INTEGER NOT NULL DEFAULT(0),
    next_review_time    TIMESTAMP,
    is_grasp            INTEGER(1) NOT NULL DEFAULT(0),
    source              INTEGER,
    sync_at             TIMESTAMP,
    created_at          TIMESTAMP,
    updated_at          TIMESTAMP

);

-- 复习记录表. 需要同步给服务端
CREATE TABLE IF NOT EXISTS review_word_log(
    _id             INTEGER PRIMARY KEY AUTOINCREMENT,
    word_item_id    INTEGER(10) NOT NULL,
    review_time     TIMESTAMP NOT NULL,
    review_score    INTEGER NOT NULL,
    sync_at         TIMESTAMP,
    created_at      TIMESTAMP,
    updated_at      TIMESTAMP


);

-- 每天的复习状态记录表：复习的总词数、获取的复习词能量；需要上传给服务端
CREATE TABLE IF NOT EXISTS review_status(
    _id                     INTEGER PRIMARY KEY AUTOINCREMENT,
    review_time             TIMESTAMP NOT NULL,
    review_word_count       INTEGER,
    review_old_word_count   INTEGER,
    review_star             INTEGER,
    review_tips             INTEGER(1) NOT NULL DEFAULT(1),
    sync_at                 TIMESTAMP,
    created_at              TIMESTAMP,
    updated_at              TIMESTAMP
);

-- CREATE INDEX idx_review_word_1 on review_word(bk_id, unit_id);
