--version 5.3.0
--fix BUG: user_finished_word_log's _id is not auto increment
DROP TABLE user_finished_word_log;
CREATE TABLE user_finished_word_log (
  _id         INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
  bk_id       integer(10) NOT NULL,
  unit_id     integer(10) NOT NULL,
  word_id     integer(10) NOT NULL,
  word        integer(10) NOT NULL,
  finished_at integer(10) NOT NULL);
--fix BUG: user_finished_word_log //END

--fix BUG: user_book_word's word_id is not unique
BEGIN TRANSACTION;
CREATE TEMPORARY TABLE ubw_backup(bk_id,unit_id,word_id,word,right_times,wrong_times,finished,is_right_last,last_recited_at);
INSERT INTO ubw_backup SELECT bk_id,unit_id,word_id,word,right_times,wrong_times,finished,is_right_last,last_recited_at FROM user_book_word;
DROP TABLE user_book_word;
CREATE TABLE user_book_word (
  word_item_id     INTEGER NOT NULL PRIMARY KEY,
  bk_id            integer(10) NOT NULL,
  unit_id          integer(10) NOT NULL,
  word_id          integer(10) NOT NULL,
  word             varchar(100) NOT NULL,
  right_times      integer(10) NOT NULL,
  wrong_times      integer(10) NOT NULL,
  finished         integer(1) DEFAULT '0' NOT NULL,
  is_right_last    integer(1) DEFAULT '1' NOT NULL,
  last_recited_at  timestamp);
INSERT INTO user_book_word(word_item_id,bk_id,unit_id,word_id,word,right_times,wrong_times,finished,is_right_last,last_recited_at) SELECT -word_id,bk_id,unit_id,word_id,word,right_times,wrong_times,finished,is_right_last,last_recited_at FROM ubw_backup;
COMMIT;
--fix BUG: user_book_word //END

CREATE TABLE review_recited_date (
  _id           INTEGER PRIMARY KEY AUTOINCREMENT,
  bk_id        integer(10) NOT NULL,
  rec_start_at timestamp,
  rec_end_at   timestamp,
  created_at   timestamp);

CREATE TABLE review_recited_unit (
  _id           INTEGER PRIMARY KEY AUTOINCREMENT,
  rec_date_id     integer(10) NOT NULL,
  bk_id           integer(10) NOT NULL,
  unit_id         integer(10) NOT NULL,
  unit_index      integer(10),
  word_size       integer(10),
  last_recited_at timestamp);

CREATE TABLE review_recited_word (
  word_item_id  INTEGER NOT NULL PRIMARY KEY,
  rec_unit_id  integer(10) NOT NULL,
  bk_id           integer(10) NOT NULL,
  unit_id         integer(10) NOT NULL,
  is_right     boolean,
  created_at   timestamp NOT NULL,
  updated_at   timestamp);

CREATE TABLE review_recited_unit_period (
  _id           INTEGER PRIMARY KEY AUTOINCREMENT,
  rec_unit_id  integer(10) NOT NULL,
  chk_point_id integer(10) NOT NULL,
  bk_id        integer(10) NOT NULL,
  period_index integer(3),
  appear_at    timestamp,
  finished     boolean DEFAULT '0',
  created_at   timestamp,
  updated_at   timestamp);

CREATE TABLE review_check_point (
  _id           INTEGER PRIMARY KEY AUTOINCREMENT,
  bk_id            integer(10) NOT NULL,
  type             integer(1),
  pre_unit_index   integer(10),
  appear_at        timestamp,
  word_size        integer(10),
  last_reviewed_at integer(10),
  enabled          boolean DEFAULT '1',
  finished         integer(10),
  created_at       timestamp,
  updated_at       timestamp);

--INDEX
CREATE INDEX idx_user_book_1 on user_book(bk_id);

CREATE INDEX idx_user_book_unit_1 on user_book_unit(bk_id,unit_id);
CREATE INDEX idx_user_book_unit_2 on user_book_unit(star);
CREATE INDEX idx_user_book_unit_3 on user_book_unit(finished,last_recited_at);

CREATE INDEX idx_user_book_unit_log_1 on user_book_unit_log(bk_id);

CREATE INDEX idx_review_recited_date_1 on review_recited_date(bk_id,rec_start_at,rec_end_at);

CREATE INDEX idx_review_recited_unit_1 on review_recited_unit(bk_id,unit_id);

CREATE INDEX idx_review_recited_word_1 on review_recited_word(rec_unit_id);
CREATE INDEX idx_review_recited_word_2 on review_recited_word(bk_id,unit_id);

CREATE INDEX idx_review_recited_unit_period_1 on review_recited_unit_period(bk_id,chk_point_id);
CREATE INDEX idx_review_recited_unit_period_2 on review_recited_unit_period(rec_unit_id);

CREATE INDEX idx_review_check_point_1 on review_check_point(bk_id,enabled,type);
CREATE INDEX idx_review_check_point_2 on review_check_point(appear_at);
CREATE INDEX idx_review_check_point_3 on review_check_point(pre_unit_index);
CREATE INDEX idx_review_check_point_4 on review_check_point(word_size);
CREATE INDEX idx_review_check_point_5 on review_check_point(finished);
