--5.8.0
ALTER TABLE review_recited_word ADD COLUMN period_index integer(3) DEFAULT '-1';

CREATE TABLE review_recited_word_check_point_ref (
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  bk_id        integer(10) NOT NULL,
  word_item_id integer(10) NOT NULL,
  chk_point_id integer(10) NOT NULL,
  period_index integer(3));

CREATE INDEX idx_review_recited_word_check_point_ref_1 on review_recited_word_check_point_ref(word_item_id,chk_point_id);

CREATE INDEX idx_review_recited_word_3 on review_recited_word(invalid,period_index);

--review transform
BEGIN TRANSACTION;

INSERT INTO review_recited_word_check_point_ref(word_item_id,chk_point_id,period_index,bk_id)
SELECT DISTINCT W.word_item_id, P.chk_point_id, P.period_index, W.bk_id
FROM review_check_point CHK, review_recited_unit_period P, review_recited_word W, review_recited_unit U
WHERE CHK._id=P.chk_point_id
      AND CHK.bk_id=P.bk_id
      AND P.rec_unit_id=U._id
      AND W.rec_unit_id=U._id
ORDER BY P.period_index;

CREATE TEMPORARY TABLE tmp_word_period(word_item_id,period_index);

INSERT INTO tmp_word_period
SELECT R.word_item_id, MAX(R.period_index) FROM review_recited_word_check_point_ref R, review_recited_word W
WHERE W.word_item_id=R.word_item_id
GROUP BY R.word_item_id;

UPDATE review_recited_word SET period_index=(SELECT period_index FROM tmp_word_period WHERE tmp_word_period.word_item_id=word_item_id);

DROP TABLE tmp_word_period;

COMMIT;
--review transform //END
