-- 6.0.0

-- because "is_grasp" COLUMN was not set default value, when added it at first time in 'user_update_v5.sql',
-- so we need give a default value.
-- but sqlite dosn`t support alert column default value,
-- we have to create a new table, and move old data to the new one.

ALTER TABLE user_book_word RENAME TO tmp_user_book_word;
CREATE TABLE user_book_word (
    word_item_id     INTEGER(10) NOT NULL PRIMARY KEY,
    bk_id            integer(10) NOT NULL,
    unit_id          integer(10) NOT NULL,
    word_id          integer(10) NOT NULL,
    word             varchar(100) NOT NULL,
    right_times      integer(10) NOT NULL,
    wrong_times      integer(10) NOT NULL,
    finished         integer(1) DEFAULT '0' NOT NULL,
    is_right_last    integer(1) DEFAULT '1' NOT NULL,
    is_grasp         integer(1) DEFAULT "1" NOT NULL,
    last_recited_at  timestamp,
    mark            tinyint(3),
    marked_at       timestamp,
    synced_at       timestamp);

INSERT INTO user_book_word (
    word_item_id, bk_id, unit_id, word_id, word, right_times, wrong_times, finished, is_right_last, is_grasp, last_recited_at, mark, marked_at, synced_at
) SELECT word_item_id, bk_id, unit_id, word_id, word, right_times, wrong_times, finished, is_right_last, 1, last_recited_at, mark, marked_at, synced_at
 FROM tmp_user_book_word;

DROP TABLE tmp_user_book_word;